Subject: bug#44671: 28.0.50; Require Emacs 26.1, nor Emacs 26.3, in project.el and xref.el core packages

From: João Távora <[email-masked]>
Date: Mon, 16 Nov 2020 00:45:10 +0000

Forgot to include the link to the original bug report
https://github.com/joaotavora/eglot/issues/562

João

On Sun, Nov 15, 2020 at 11:47 PM João Távora <[email-masked]> wrote:

> Hi,
>
> Some time ago, I made these two files into GNU ELPA "core" packages, and
> I chose Emacs 26.3 as the minimum required version.  That was rather
> arbitrary and I should have selected Emacs 26.1 instead.
>
> This is because these packages are required by Eglot, which for now, is
> specified to work in Emacs 26.1.
>
> Recently an Eglot user complained that he could no longer run Eglot in
> that Emacs version, stating that Emacs 26.1 is the version of Emacs
> distributed with Debian stable.
>
> So, I've (briefly) tested these two files in Emacs 26.1 and things seem
> to work, so I propose the simple change in the patch after my sig.  If
> no-one opposes, I'll push in few days or so.
>
> João
>
> diff --git a/lisp/progmodes/project.el b/lisp/progmodes/project.el
> index a395453491..82eb6f6976 100644
> --- a/lisp/progmodes/project.el
> +++ b/lisp/progmodes/project.el
> @@ -1,8 +1,8 @@
>  ;;; project.el --- Operations on the current project  -*-
> lexical-binding: t; -*-
>
>  ;; Copyright (C) 2015-2020 Free Software Foundation, Inc.
> -;; Version: 0.5.2
> -;; Package-Requires: ((emacs "26.3") (xref "1.0.2"))
> +;; Version: 0.5.3
> +;; Package-Requires: ((emacs "26.1") (xref "1.0.2"))
>
>  ;; This is a GNU ELPA :core package.  Avoid using functionality that
>  ;; not compatible with the version of Emacs recorded above.
> diff --git a/lisp/progmodes/xref.el b/lisp/progmodes/xref.el
> index e1dd6e56bb..0fd1770cc1 100644
> --- a/lisp/progmodes/xref.el
> +++ b/lisp/progmodes/xref.el
> @@ -1,8 +1,8 @@
>  ;;; xref.el --- Cross-referencing commands
> -*-lexical-binding:t-*-
>
>  ;; Copyright (C) 2014-2020 Free Software Foundation, Inc.
> -;; Version: 1.0.3
> -;; Package-Requires: ((emacs "26.3"))
> +;; Version: 1.0.4
> +;; Package-Requires: ((emacs "26.1"))
>
>  ;; This is a GNU ELPA :core package.  Avoid functionality that is not
>  ;; compatible with the version of Emacs recorded above.
>
>
>
>

-- 
João Távora